{combine_css path=$USER_INFO_TRACKING_PATH|@cat:"admin/template/style.css"}

<div class="titrePage">
	<h2>User Information Tracking</h2>
</div>

<form method="post" action="" class="properties">
<fieldset>
  <legend>{'User Info Tracking'|@translate}</legend>
  
<div class="gbBlock">
  <p class="giDescription">
    {'This will display information about users when they Login, Logout, and Failed Login Attempts.'|@translate}
  </p>
</div>

<br>

<table border="1">


<tr>
	{if !isset($messages)}
	<td align="center" colspan="7">{'Number of Records: 0'|@translate}</td>

	{else}
	<td align="center" colspan="7">{'Number of Records:'|@translate} {$messages|@count}</td>

	{/if}
</tr>



<tr>
	<th>ID
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/down.gif" style="border:none" alt="{'Permissions Down'|@translate}" title="{'Permissions Down'|@translate}"></a>
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/up.gif" style="border:none" alt="{'Permissions Up'|@translate}" title="{'Permissions Up'|@translate}"></a>
	</th>
	<th>User ID
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/down.gif" style="border:none" alt="{'Permissions Down'|@translate}" title="{'Permissions Down'|@translate}"></a>
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/up.gif" style="border:none" alt="{'Permissions Up'|@translate}" title="{'Permissions Up'|@translate}"></a>
	</th>
	<th>User Name
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/down.gif" style="border:none" alt="{'Permissions Down'|@translate}" title="{'Permissions Down'|@translate}"></a>
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/up.gif" style="border:none" alt="{'Permissions Up'|@translate}" title="{'Permissions Up'|@translate}"></a>
	</th>
	<th>Admin Actions
	</th>
	<th>IP Address
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/down.gif" style="border:none" alt="{'Permissions Down'|@translate}" title="{'Permissions Down'|@translate}"></a>
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/up.gif" style="border:none" alt="{'Permissions Up'|@translate}" title="{'Permissions Up'|@translate}"></a>
	</th>
	<th>Time Stamp
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/down.gif" style="border:none" alt="{'Permissions Down'|@translate}" title="{'Permissions Down'|@translate}"></a>
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/up.gif" style="border:none" alt="{'Permissions Up'|@translate}" title="{'Permissions Up'|@translate}"></a>
	</th>
	<th>Action
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/down.gif" style="border:none" alt="{'Permissions Down'|@translate}" title="{'Permissions Down'|@translate}"></a>
		<a href="{'#'|@translate}"><img src="{$USER_INFO_TRACKING_PATH}/images/up.gif" style="border:none" alt="{'Permissions Up'|@translate}" title="{'Permissions Up'|@translate}"></a>
	</th>
</tr>




{foreach from=$messages item=message}
<tr>
	<td>{$message.id}</td>
	<td>{$message.userId}</td>
	<td>
		{if ($message.userId) > 0}
			<a href="{$message.userId2}">{$message.userName}</a>
		{else}
			{$message.userName}
		{/if}
	</td>
	<td>
		{if ($message.userId > 0)}
			<a href="{$message.userId3}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/permissions.png" style="border:none" alt="{'Permissions'|@translate}" title="{'Permissions'|@translate}"></a>
			<a href="{$message.userId2}"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/edit_s.png" style="border:none" alt="{'Profile'|@translate}" title="{'Profile'|@translate}"></a>
		{else}

		{/if}
	
	</td>
	<td>{$message.testIpAddress}</td>
	<td>
		{$message.timeStamp|date_format:"%A, %B %e, %Y %I:%M %p"}
	</td>
	<td>
		{if ($message.action == "Successful Login")}
			<span class="successfulLogin">{$message.action}</span>
		{else}
			{if ($message.action == "Failed Login")}
				<span class="failedLogin">{$message.action}</span>
			{else}
				{if ($message.action == "Logout")}
					<span class="logout">{$message.action}</span>
				{else}
					{$message.action}
				{/if}			
			{/if}
		{/if}
	</td>
</tr>
{foreachelse}
<tr>
	<td colspan="7"><center><b>{'No records in Database'|@translate}</b></center></td>
</tr>
{/foreach}

</table>



</fieldset>
</form>